Bug 147911 - [PATCH] net-im/ejabberd: update to 2.1.4
Summary: [PATCH] net-im/ejabberd: update to 2.1.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ashish SHUKLA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-16 17:50 UTC by Denis Shaposhnikov
Modified: 2010-07-14 01:44 UTC (History)
0 users

See Also:


Attachments
ejabberd-2.1.4.patch (2.97 KB, patch)
2010-06-16 17:50 UTC, Denis Shaposhnikov
no flags Details | Diff
ejabberd.diff (5.60 KB, patch)
2010-07-06 13:48 UTC, Ashish SHUKLA
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Shaposhnikov 2010-06-16 17:50:01 UTC
- Update to 2.1.4

Generated with FreeBSD Port Tools 0.99
Comment 1 Ashish SHUKLA freebsd_committer 2010-06-29 10:29:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ashish

I'll take it.
Comment 2 Ashish SHUKLA freebsd_committer 2010-07-03 15:52:03 UTC
Hi Denis,

Thanks for submitting the ejabberd update. It seems this update is not PREFIX
safe, as I've tried it building with different PREFIX/LOCALBASE and got an
error:

#v+
checking for erlc... /usr/PPP/bin/erlc
checking for erl... /usr/PPP/bin/erl
checking for iconv... no, consider installing GNU libiconv
checking how to run the C preprocessor... cc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for XML_ParserCreate in -lexpat... no
configure: error: Could not find development files of Expat library
===>  Script "configure" failed unexpectedly.
Please report the problem to ports@FreeBSD.org [maintainer] and attach the
"/work/a/ports/net-im/ejabberd/work/ejabberd-2.1.4/src/config.log" including
the output of the failure of your make command. Also, it might be a good idea
to provide an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).
#v-

The complete build log is available from:
http://people.freebsd.org/~ashish/logs/ejabberd-2.1.4-prefix.log

And also I'm wondering if you're interested in maintaining it.

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

âIf builders built buildings the way programmers wrote programs, then
the first woodpecker that came along would destroy civilization.â
(Weinberg's Second Law)
Comment 3 Ashish SHUKLA freebsd_committer 2010-07-04 12:10:47 UTC
State Changed
From-To: open->feedback
Comment 4 Ashish SHUKLA freebsd_committer 2010-07-06 13:48:28 UTC
Hi Denis,

I've fixed the issues mentioned in the last mail. Attached is the diff which
fixes this. Let me know if you approve it ?

Also let me know if you're interested in maintaining the port. If you're not
interested, I can maintain it.

Thanks
-- 
Ashish SHUKLA      | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0
freebsd.org!ashish | http://people.freebsd.org/~ashish/

âEndure. In enduring, grow strong.â (Dak'kon, videogame "Torment",
1999)
Comment 5 dfilter service freebsd_committer 2010-07-14 00:35:17 UTC
ashish      2010-07-13 23:35:07 UTC

  FreeBSD ports repository

  Modified files:
    net-im/ejabberd      Makefile distinfo pkg-plist 
  Log:
  - Update port to 2.1.4.
  - Add LICENSE information.
  - Add support for NOPORTDOCS.
  - Adopt port.
  
  PR:             ports/147911
  Submitted by:   Denis Shaposhnikov <dsh@wizard.volgograd.ru>
  Approved by:    pgj (mentor)
  
  Revision  Changes    Path
  1.38      +11 -2     ports/net-im/ejabberd/Makefile
  1.16      +3 -3      ports/net-im/ejabberd/distinfo
  1.17      +29 -27    ports/net-im/ejabberd/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Ashish SHUKLA freebsd_committer 2010-07-14 01:44:31 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!